package orm

import (
	"errors"
)

var (
	ErrNotASlice               = errors.New("Current object or field is not a slice!")
	ErrNotAStruct              = errors.New("Current object or field is not a struct!")
	ErrOutOfBounds             = errors.New("Index(es) out of bounds!")
	ErrAppendMultipleDocuments = errors.New("Cannot append to multiple documents!")
	ErrNotSliceOrStruct        = errors.New("Current object or field is not a slice nor a struct!")
	ErrUnsupportedID           = errors.New("Unknown or unsupported id type provided")
)

const (
	errFmtMalformedField     = "Malformed field name passed: '%s'"
	errFmtNotAModel          = "Type '%s' is not a model"
	errFmtNotHasID           = "Type '%s' does not implement HasID"
	errFmtModelNotRegistered = "Model not registered for type: '%s'"
)
